| Home | Libraries | People | FAQ | More

## Function template for_each

boost::compute::for_each

## Synopsis

    // In header: <boost/compute/algorithm/for_each.hpp>

    template<typename InputIterator, typename UnaryFunction>
      UnaryFunction
      for_each(InputIterator first, InputIterator last, UnaryFunction function,
               command_queue & queue = system::default_queue());

## Description

Calls `function` on each element in the range [`first`, `last`).

Space complexity: \Omega(1)

See Also:

transform()